Plugin help: Can't buy things, beg/request assistance not working

I created some new ships, governments, etc, but ships of that government can't buy things, and their help/request assistance buttons don't work.

Can anyone help?

This post has been edited by Uhhhwhat : 04 June 2010 - 05:10 PM

You likely did not adjust the TechLevel of the shïp resource to be the correct level.

We will need far more information: what outfits are you looking to buy? Auroran tech? Polaris tech? Civvie tech? Custom tech?

You may want to archive your plugin, then attach it here.

ETA:

boy that was quick, DA. came back to add on, thought the topic got deleted :x

There are a lot of things that can prevent certain things from being bought: licenses, bits, etc etc.

This post has been edited by Mk.32 : 04 June 2010 - 05:20 PM

As this topic deals with plug-in development, I've moved it to the EV Developer's Corner forum, where it is more likely to receive the attention it requires.

I know what's probably wrong, but Mk.32 is right, we'll need to see it tell you for sure. Additionally, for help building plug-ins you may want to post in the Dev Corner. You'll find people there more knowledgeable about such things.

Anyway, what's probably wrong is the 'Contribute' fields of your ships. Have you played the Vell-os string? Remember how you can't buy outfits (except Marine Platoons) while flying a Vell-os ship but you suddenly can when you buy a non-Vell-os ship? It's because of the Require and Contribute fields.

When an outfit has bits checked in the Require field, the game checks to make sure the player has these bits before allowing the player to buy them. If the player is missing even one bit, the outfit cannot be purchased. Ships also have a Contribute field. This is where they can give the player certain bits while the player has that ship. Vell-os ships do not have the bit required for outfits in Nova while every other ship does.

** Edit:** As I was typing this, David Arthur moved the thread, so I got an error message when I tried to post. Nice going, dude. 😛

QUOTE (Mk.32 @ Jun 4 2010, 06:13 PM) <{POST_SNAPBACK}>

You likely did not adjust the TechLevel of the shïp resource to be the correct level.

We will need far more information: what outfits are you looking to buy? Auroran tech? Polaris tech? Civvie tech? Custom tech?

Can't even buy maps.

The TechLevel was at 20, I'll set it to 2 and see what happens.

The tech level only applies to the ship or outfit it's a part of. It has nothing to do with whether or not a ship can use an outfit or vice-versa.

And I can't request assistance from my new gov's ships, clicking the button causes it to be pressed.

This post has been edited by Uhhhwhat : 04 June 2010 - 08:13 PM

QUOTE

And I can't request assistance from my new gov's ships, clicking the button causes it to be pressed.

I have encountered the same problem, what editor are you using?

Log in to reply